<div class="entry-container"
     (clickOutside)="closeContainer()"
     [delayClickOutsideInit]="true"
     [exclude]="'.scrollable'">
  <mat-form-field>
    <mat-label>Enter Weight:</mat-label>
    <input #focusMe matInput [(ngModel)]="inputWeight" type="number" (keyup.enter)="submitTransaction()" [formControl]="weightControl">
    <mat-error *ngIf="weightControl.invalid">{{getErrorMessage()}}</mat-error>
  </mat-form-field>

  <div *ngIf="entryMessage" class="message">
    Add <mark style="color: red">{{inputWeight}}</mark> lbs to Student #
      <mark style="color: var(--wsu-blue)">{{guestID}}</mark>'s account?
    <button mat-raised-button type="button" (click)="submitTransaction()" [disabled]="weightControl.invalid">Submit <mat-icon>send</mat-icon></button>
  </div>

  <div *ngIf="!entryMessage">
      Transaction Complete!
  </div>
</div>
